PHP模块没有安装好,出现PHP warning,怎么去除错误

例如这种警告

[root@xxxxx modules]# php -v
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/libevent.so' - /usr/lib64/php/modules/libevent.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP 7.1.17 (cli) (built: Apr 26 2018 14:47:28) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.1.0, Copyright (c) 1998-2018 Zend Technologies
    with Zend OPcache v7.1.17, Copyright (c) 1999-2018, by Zend Technologies

这是因为libevent模块没有安装好,但是又加载了此模块,所以报了这种警告

解决办法:

vim /etc/php.ini

看到这句话

;;;;;;;;;;;;;;;;;;;;;;
; Dynamic Extensions ;
;;;;;;;;;;;;;;;;;;;;;;
~
~
~
~
;;;;
; Note: packaged extension modules are now loaded via the .ini files
; found in the directory /etc/php.d; these are loaded by default.
;;;;

这里面是加载的模块

最后一句话说默认模块加载路径是在/etc/php.d里面

进去这个目录,把对应没有安装好的模块删除掉就好了

文章来源: PHP模块没有安装好,出现PHP warning,怎么去除错误

人吐槽 人点赞

猜你喜欢

发表评论

用户名: 密码:
验证码: 匿名发表

你可以使用这些语言

查看评论:PHP模块没有安装好,出现PHP warning,怎么去除错误